
Ruby - Bug #6334

64 bit build broken for 1.9.3 on Solaris 10 and openindiana - test_fork.rb 

04/21/2012 10:50 PM - cr_ellis (Colin Ellis)

Status: Rejected   

Priority: Normal   

Assignee: ngoto (Naohisa Goto)   

Target version:    

ruby -v: ruby 1.9.3p195 (2012-04-20 revision

32371) [i386-solaris2.10]

Backport:  

Description

make test fails with:

#248 test_fork.rb:51:in `<top (required)>': core dumped  [ruby-dev:44005] [Ruby 1.9 - Bug #4950]

FAIL 1/943 tests failed

gmake: *** [yes-btest-ruby] Error 1

No coredump is actually produced.

Operating System: Solaris 10 x86

Compiler: GCC 4.4.5

To reproduce:

./configure CFLAGS="-m64" && gmake test

Seems that r32562 broke it.  If I revert that changeset All tests pass as expected.

History

#1 - 04/22/2012 07:48 AM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee set to nobu (Nobuyoshi Nakada)

#2 - 04/23/2012 12:42 AM - ngoto (Naohisa Goto)

- Status changed from Assigned to Feedback

Please show full build log with

./configure CFLAGS="-m64" && gmake V=1 test

In Solaris, more and more options may be needed for 64-bit compile.

The r32562 fixes that "-m64" was always removed from CFLAGS.

Without r32562, the "-m64" is removed and 32-bit binaries is always generated. Please check the binaries by using "file" command.

#3 - 04/24/2012 04:34 PM - cr_ellis (Colin Ellis)

My testing method is flawed.  I am going back and re-doing to find out when things broke.

Somewhere between r192 and r193 a change has caused 64 bit builds to fail in test_fork.rb.  I thought I had it but jumped too soon :)

I'll update as soon as I have something useful.

#4 - 11/06/2012 11:48 AM - ngoto (Naohisa Goto)

- Status changed from Feedback to Rejected

- Assignee changed from nobu (Nobuyoshi Nakada) to ngoto (Naohisa Goto)

- Priority changed from Normal to 3

Closing because of no feedback.

Please reopen the ticket with detailed information if you still have the problem.
